import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi,optionsListApiType } from '/@/api/tigerapi/mes/smt/feeder';
import { h,unref } from 'vue';
import { Tag ,Tooltip} from 'ant-design-vue';
import{ useLocale } from '/@/locales/useLocale';

const { getLocale }=useLocale();

export const columns: BasicColumn[] = [
  {
    title: '飞达编码',
    dataIndex: 'FEEDER_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '飞达名称',
    dataIndex: 'FEEDER_NAME',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '飞达类型',
    dataIndex: 'FEEDER_TYPE',
    width: 100,
    sorter: true,
    resizable: true,
    // customRender: ({ record }) => {
    //   const status = record.TYPE;
    //   var text = '';
    //   var color = '';
    //   switch (status) {
    //     case 0:
    //       text = '钢网';
    //       color = 'green';
    //       break;
    //     case 1:
    //       text = '刮刀';
    //       color = 'blue';
    //       break;
    //     default:
    //       break;
    //   }
    //   return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    // },
  },
  {
    title: '最大使用次数',
    dataIndex: 'MAX_COUNT',
    width: 100,
    sorter: true,
    resizable: true,
    // customRender: ({ record }) => {
    //   const status = record.ALARM_TYPE;
    //   var text = '';
    //   var color = '';
    //   switch (status) {
    //     case '0':
    //       text = '正常';
    //       color = 'green';
    //       break;
    //     case '1':
    //       text = '保养预警';
    //       color = 'blue';
    //       break;
    //     case '2':
    //       text = '报废预警';
    //       color = 'blue';
    //       break;
    //     default:
    //       break;
    //   }
    //   return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    // },
  },
  {
    title: '预警使用次数',
    dataIndex: 'ALERT_COUNT',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '已使用次数',
    dataIndex: 'USED_COUNT',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '是否使用中',
    dataIndex: 'IS_USE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '是否打印',
    dataIndex: 'IS_PRINT',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '工单号',
    dataIndex: 'WORK_ORDER',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '产线编码',
    dataIndex: 'LINE_CODE',
    width:100,
    sorter: true,
    resizable:true
  } ,
  {
    title: '贴片机编码',
    dataIndex: 'SMT_CODE',
    width:100,
    sorter: true,
    resizable:true
  } ,
  {
    title: '站位号',
    dataIndex: 'SLOT_NO',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '加工面',
    dataIndex: 'PCB_SURFACE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '物料编码',
    dataIndex: 'ITEM_CODE',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'FEEDER_CODE',
    label: '飞达编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];

//新增组件export const
export const formSchema: FormSchema[] = [
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    label: '飞达编码',
    field: 'FEEDER_CODE',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '飞达名称',
    field: 'FEEDER_NAME',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '飞达类型',
    field: 'FEEDER_TYPE',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '最大使用次数',
    field: 'MAX_COUNT',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '预警使用次数',
    field: 'ALERT_COUNT',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '当前使用次数',
    field: 'USED_COUNT',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  }
  ,
  {
    label: '是否使用中',
    field: 'IS_USE',
    required: true,
    colProps: { span: 8 },
    component: 'Select',
    componentProps: {
      options: [
        {
          label: 'Y',
          value: 'Y',
          key: 'Y',
        },
        {
          label: 'N',
          value: 'N',
          key: 'N',
        },
      ],
    },
  }
  ,
  {
    label: '是否打印',
    field: 'IS_PRINT',
    required: true,
    colProps: { span: 8 },
    component: 'Select',
    componentProps: {
      options: [
        {
          label: 'Y',
          value: 'Y',
          key: 'Y',
        },
        {
          label: 'N',
          value: 'N',
          key: 'N',
        },
      ],
    },
  }
  ,
  {
    label: '工单号',
    field: 'WORK_ORDER',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  }
  ,
  {
    label: '产线编码',
    field: 'LINE_CODE',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  } ,
  {
    label: '贴片机编码',
    field: 'SMT_CODE',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  } ,
  {
    label: '站位号',
    field: 'SLOT_NO',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  }
  ,
  {
    label: '加工面',
    field: 'PCB_SURFACE',
    required: true,
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        {
          label: 'A面',
          value: 'A面',
          key: 'A面',
        },
        {
          label: 'B面',
          value: 'B面',
          key: 'B面',
        },
      ],
    },
  }
  ,
  {
    label: '物料编码',
    field: 'ITEM_CODE',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  }
  ,
  {
    label: '备注',
    field: 'REMARK',
    required: true,
    colProps: { span: 8 },
    component: 'Input',
  }
];
